Gecode::Int::TaskTraits< Cumulative::ManFixPTask > Class Reference

Task traits for mandatory fixed tasks. More...

`#include <cumulative.hh>`

## Public Types

typedef Cumulative::ManFixPTaskFwd | TaskViewFwd
| The forward task view type.
typedef Cumulative::ManFixPTaskBwd | TaskViewBwd
| The backward task view type.
typedef Unary::ManFixPTask | UnaryTask
| The corresponding unary task type.

## Detailed Description

Task traits for mandatory fixed tasks.

Definition at line 466 of file cumulative.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Cumulative::ManFixPTaskFwd Gecode::Int::TaskTraits< Cumulative::ManFixPTask >::TaskViewFwd

The forward task view type.

Definition at line 469 of file cumulative.hh.

## TaskViewBwd

typedef Cumulative::ManFixPTaskBwd Gecode::Int::TaskTraits< Cumulative::ManFixPTask >::TaskViewBwd

The backward task view type.

Definition at line 471 of file cumulative.hh.

## UnaryTask

typedef Unary::ManFixPTask Gecode::Int::TaskTraits< Cumulative::ManFixPTask >::UnaryTask

The corresponding unary task type.

Definition at line 473 of file cumulative.hh.

The documentation for this class was generated from the following file:

- gecode/int/cumulative.hh